﻿
# SimpleMacros
SimpleMacros was created to give you a better way of interacting with mods that can only be controlled through console commands.

## Features
* Define your favorite commands in the config file and trigger them using:
	* In-game menu
	* Keyboard shortcuts
* Run your commands multiple times (e.g. to spawn 50 enemies using [RoR2Cheats](https://thunderstore.io/package/Morris1927/RoR2Cheats/))

### Screenshots
![In-Game Menu](https://i.imgur.com/35XCshX.png)

![Aftermath](https://i.imgur.com/rvbXsV1.png)

## Instructions
* Install **SimpleMacros** by placing .dll files in the `BepInEx\plugins` folder or use your favorite mod manager
* Run the game, this will create the configuration file
* Open the following file in a text editor: `BepInEx\config\local.recursiveGecko.ror2.SimpleMacros.cfg`
* Add your commands, following the syntax described below
* Click `Reload config` or restart the game

If you want to try out the sample commands that are already in the config file, you will also need [RoR2Cheats](https://thunderstore.io/package/Morris1927/RoR2Cheats/).

### Configuration

Above your macro definitions you can set a shortcut to toggle the visibility of the in-game menu: `toggle_menu_shortcut=F11`

The configuration file can contain any number of macros, each one defined like this:
```
[Name of your macro]
command=console command that you want to run
shortcut=F3
repeat=20 
```

`Name of your macro`: Can be almost anything you want, as long as there are no duplicates.

`shortcut`: **Optional**. Hot key for this macro. [Here](https://docs.unity3d.com/ScriptReference/KeyCode.html) is a list of available keys.

`repeat`: **Optional**. How many times to execute this command when the macro is triggered.

Since both of these properties are optional, you don't have to define them. A macro without `shortcut` and `repeat` options will still be available as a button in the in-game menu.

## Bug reports & Feature requests
Please create an issue [here](https://github.com/recursiveGecko/RoR2_Mods/issues).

If you're reporting a bug, make sure to describe what happened, include your configuration file and logs.

## Changelog
```
v1.2.0 - Add console command output window, redesign
v1.1.0 - Bump version, edit mod README
v1.0.2 - Only show in-game menu when mouse cursor is available (Game is paused or Tab is being held)
v1.0.1 - Remove stray config file from .zip and update mod description
v1.0.0 - Initial release
```


## Credits

Icon made by [Becris](https://www.flaticon.com/authors/becris)